<?php

namespace App\Libs;

class Libs
{
    public static function getLatLonFromGeoapify($address): ?array
    {
        $address = urlencode($address);
        $url = "https://api.geoapify.com/v1/geocode/search?text={$address}&format=json&apiKey={$_ENV['GEOAPIFY_API_KEY']}";
        $ch = curl_init();
        curl_setopt($ch, CURLOPT_URL, $url);
        curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
        curl_setopt($ch, CURLOPT_SSL_VERIFYHOST, 0);
        curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, 0);
        $result = curl_exec($ch);
        curl_close($ch);
        $result = json_decode($result, true);
        if (isset($result['results'][0]['lat']) && isset($result['results'][0]['lon'])) {
            $lat = $result['results'][0]['lat'];
            $lon = $result['results'][0]['lon'];
            return [$lat, $lon];
        }
        return null;
    }

}
